MODULE trajinitsave
!!======================================================================
!!                   ***  MODULE trajinitsave  ***
!! Initialisation and saving of particles position
!! Read circle or rectangle boundaries to calculate initial position,
!! or directly real position in netcdf file
!! Save in a netcdf file
!&E       !  01-2012 (M. Huret) separation from traject3d
!&E
!&E Description :
!&E    traj_init3d
!&E    traj_save3d
!&E
!&E ** History :
!&E       !  2011-10 (T. Odaka, M. Huret, V. Garnier) Introduction of MPI
!&E       !  2012-01 (M. Huret) Read netcdf
!&E       !  2014-12 (M. Honnorat) Adapt for IBM upgrade
!&
!!======================================================================





























































!! * Modules used
   USE parameters,  ONLY : imin,imax,jmin,jmax,kmax,ljmin,ljmax,ljmaxp1,  &
                           limaxp1,liminm1,limaxp2,ljminm1,ljmaxp2,limax, &
                           rsh,rlg,riosh,lchain,limin,liminm2,ljminm2,    &
                           rg_valmanq_io,dg_valmanq_io
   USE ionc4,       ONLY : ionc4_createfile_traj, ionc4_createvar_traj,   &
                           ionc4_write_time,ionc4_sync,ionc4_close,       &
                           ionc4_write_trajt,ionc4_read_dimtraj,          &
                           ionc4_read_trajt,ionc4_openr
   USE toolmpi, ONLY : iproc, nprocs

   IMPLICIT NONE
   PRIVATE


END MODULE
